### Hierarchy

- unknown
  - CreateXmrTxRequest

## Index

### Constructors

- constructor

### Methods

- addDestinations
- clearDestinationsList
- getDestinationsList
- serializeBinary
- setDestinationsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreateXmrTxRequest(): CreateXmrTxRequest

- Inherited from jspb.Message.constructor

  #### Returns CreateXmrTxRequest

## Methods

### addDestinations

- addDestinations(value?: XmrDestination, index?: number): XmrDestination

- - Defined in src/protobuf/grpc_pb.d.ts:3243

  #### Parameters

  - ##### Optional value: XmrDestination

  - ##### Optional index: number

  #### Returns XmrDestination

### clearDestinationsList

- clearDestinationsList(): CreateXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3242

  #### Returns CreateXmrTxRequest

### getDestinationsList

- getDestinationsList(): XmrDestination []

- - Defined in src/protobuf/grpc_pb.d.ts:3240

  #### Returns XmrDestination []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3245

  #### Returns Uint8Array

### setDestinationsList

- setDestinationsList(value: XmrDestination []): CreateXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3241

  #### Parameters

  - ##### value: XmrDestination []

  #### Returns CreateXmrTxRequest

### toObject

- toObject(includeInstance?: boolean): CreateXmrTxRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3246

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreateXmrTxRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3249

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateXmrTxRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateXmrTxRequest, reader: BinaryReader): CreateXmrTxRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3250

  #### Parameters

  - ##### message: CreateXmrTxRequest

  - ##### reader: BinaryReader

  #### Returns CreateXmrTxRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateXmrTxRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3248

  #### Parameters

  - ##### message: CreateXmrTxRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreateXmrTxRequest ): CreateXmrTxRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3247

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateXmrTxRequest

  #### Returns CreateXmrTxRequest . AsObject

Generated using TypeDoc